import { jsx as d } from "react/jsx-runtime";
import { r as i, W as m } from "./index-T-3isYi5.js";
import { A as u } from "./AppCard-JgJMoBtw.js";
import { u as c } from "./useIsAppEnabled-SudDKIHz.js";
const E = function({
  app: t,
  eventType: e,
  onAppInstallSuccess: p
}) {
  var a;
  const r = i.usePathname(), { enabled: n, updateEnabled: o } = c(t);
  return /* @__PURE__ */ d(
    u,
    {
      onAppInstallSuccess: p,
      returnTo: `${m}${r}?tabName=apps`,
      app: t,
      teamId: ((a = e.team) == null ? void 0 : a.id) || void 0,
      switchOnClick: (s) => {
        o(s);
      },
      switchChecked: n,
      hideAppCardOptions: !0
    }
  );
};
export {
  E as default
};
